using System;
using DotNetHost;
using System.Drawing;

namespace TestPlugins
{

	[PluginInfo("Get Time Test Plugin",
		 "Ian Hartney",
		 "14/09/2004",
		 "14/09/2004",
		 "www.samurize.com",
		 "ian.hartney@gmail.com")]
	public class GetTimePlugin:Plugin
	{

		public GetTimePlugin()
		{

		}

		[PluginMethod(new String[]{"Phrase to procced time"})]
		public String GetTime(string preString)
		{
			return preString+" "+DateTime.Now.ToShortTimeString();
		}

		public override void Configure(PluginConfiguration config)
		{
		}

		public override int Repaint(System.Drawing.Graphics g, string cValue, int width, int height)
		{
			g.FillRectangle(Brushes.Red,0,0,width,height);
			g.DrawString(DateTime.Now.ToShortTimeString(),new Font("arial",10),Brushes.Green,0,0);

			return 0;
		}


	}
}
